# eric7.Plugins.UiExtensionPlugins.Translator.Translator

Module implementing the translator object.

### Global Attributes

None

### Classes

Translator | Class implementing the translator object.

### Functions

None

## Translator

Class implementing the translator object.

### Derived from

QObject

### Class Attributes

None

### Class Methods

None

### Methods

Translator | Constructor
__activateWidget | Private slot to handle the activation of the project browser.
activate | Public method to activate the translator.
deactivate | Public method to deactivate the time tracker.
getAppIcon | Public method to get an icon.

### Static Methods

None

#### Translator (Constructor)

Translator(plugin, usesDarkPalette, parent=None)

Constructor

plugin (TranslatorPlugin)
  reference to the plugin object
usesDarkPalette (bool)
  flag indicating that the platform uses a palette with a dark background
parent (QObject)
  parent

#### Translator.__activateWidget

__activateWidget()

Private slot to handle the activation of the project browser.

#### Translator.activate

activate()

Public method to activate the translator.

#### Translator.deactivate

deactivate()

Public method to deactivate the time tracker.

#### Translator.getAppIcon

getAppIcon(name)

Public method to get an icon.

name
  name of the icon file (string)

Return:
  icon (QIcon)

Up